Bug 520896 - setroubleshoot: SELinux is preventing dhclient "getcap" access on <Unknown>.
Summary: setroubleshoot: SELinux is preventing dhclient "getcap" access on <Un...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: rawhide
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:00f21e8756d...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-02 19:28 UTC by Matěj Cepl
Modified: 2018-04-11 19:32 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-08 10:12:55 UTC


Attachments (Terms of Use)

Description Matěj Cepl 2009-09-02 19:28:27 UTC
The following was filed automatically by setroubleshoot:

Souhrn:

SELinux is preventing dhclient "getcap" access on <Unknown>.

Podrobný popis:

[SELinux is in permissive mode. This access was not denied.]

SELinux denied access requested by dhclient. It is not expected that this access
is required by dhclient and this access may signal an intrusion attempt. It is
also possible that the specific version or configuration of the application is
causing it to require additional access.

Povolení přístupu:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report (http://bugzilla.redhat.com/bugzilla/enter_bug.cgi) against this package.

Další informace:

Kontext zdroje                unconfined_u:system_r:dhcpc_t:s0
Kontext cíle                 unconfined_u:system_r:dhcpc_t:s0
Objekty cíle                 None [ process ]
Zdroj                         dhclient
Cesta zdroje                  /sbin/dhclient
Port                          <Neznámé>
Počítač                    (removed)
RPM balíčky zdroje          dhclient-4.1.0p1-8.fc12
RPM balíčky cíle           
RPM politiky                  selinux-policy-3.6.28-9.fc12
Selinux povolen               True
Typ politiky                  targeted
MLS povoleno                  True
Vynucovací režim            Permissive
Název zásuvného modulu     catchall
Název počítače            (removed)
Platforma                     Linux (removed) 2.6.31-0.190.rc8.fc12.x86_64 #1 SMP
                              Fri Aug 28 18:51:58 EDT 2009 x86_64 x86_64
Počet upozornění           4
Poprvé viděno               So 29. srpen 2009, 18:34:27 CEST
Naposledy viděno             Po 31. srpen 2009, 18:41:38 CEST
Místní ID                   63428432-b514-4099-8e31-95899dfdfc91
Čísla řádků              

Původní zprávy auditu      

node=(removed) type=AVC msg=audit(1251736898.839:228): avc:  denied  { getcap } for  pid=11713 comm="dhclient" scontext=unconfined_u:system_r:dhcpc_t:s0 tcontext=unconfined_u:system_r:dhcpc_t:s0 tclass=process

node=(removed) type=SYSCALL msg=audit(1251736898.839:228): arch=c000003e syscall=125 success=yes exit=0 a0=7f3ceb0416f4 a1=7f3ceb0416fc a2=1 a3=30 items=0 ppid=11702 pid=11713 auid=500 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=1 comm="dhclient" exe="/sbin/dhclient" subj=unconfined_u:system_r:dhcpc_t:s0 key=(null)


audit2allow suggests:

#============= dhcpc_t ==============
allow dhcpc_t self:process getcap;

Comment 1 Daniel Walsh 2009-09-08 10:12:55 UTC
Fixed in selinux-policy-3.6.30-4.fc12.noarch


Note You need to log in before you can comment on or make changes to this bug.